org.apache.maven.shared.io.download

## Class DownloadFailedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.maven.shared.io.download.DownloadFailedException

All Implemented Interfaces:
  Serializable

    public class DownloadFailedException
    extends Exception

The Download Failed Exception.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DownloadFailedException(String url, String message)`
`DownloadFailedException(String url, String message, Throwable cause)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getUrl()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DownloadFailedException

    public DownloadFailedException(String url,
                                   String message,
                                   Throwable cause)

Parameters:
  `url` - The url.
  `message` - The message.
  `cause` - The cause of the problem.

#### DownloadFailedException

    public DownloadFailedException(String url,
                                   String message)

Parameters:
  `url` - The url.
  `message` - The message.

### Method Detail

#### getUrl

    public String getUrl()

Returns:
  The url.